---
title: Update
url: https://www.tines.com/docs/api/cases/fields/update/
updated: 2026-06-02T15:13:42+00:00
description: Update an existing case field.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Cases](https://www.tines.com/llm/docs/api/cases.md) › [Fields](https://www.tines.com/llm/docs/api/cases/fields.md)*

# Update

*[View on tines.com](https://www.tines.com/docs/api/cases/fields/update/)*

## Description

Update an existing case field.

## Request

HTTP Method: **PUT**

| Parameter | Description                  |
| --------- | ---------------------------- |
| value     | The value of the case field. |

| Path Parameter | Description          |
| -------------- | -------------------- |
| case_id        | The ID of the case.  |
| field_id       | The ID of the field. |

> **Note**: For case inputs with "Allow multiple" enabled, provide `value` as a pipe-delimited string, for example `"option1|option2"`.

### Sample request

```bash
curl -X PUT \
  https://<tenant-domain>/api/v2/cases/<<case_id>>/fields/<<field_id>> \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>' \
  -d '{
        "value": "This is an updated field"
      }'
```

## Response

A successful request will return a JSON object describing the updated case field.

### Field description

| Parameter | Description           |
| --------- | --------------------- |
| case_id   | The ID of the case.   |
| field     | Details of the field. |

| Field parameter | Description                                                                                        |
| --------------- | -------------------------------------------------------------------------------------------------- |
| id              | The field ID.                                                                                      |
| value           | The value of the field.                                                                            |
| case_input      | An object containing the ID, name, key, validation_type, and validation_options of the case input. |

### Sample response

```json
{
  "case_id": 42,
  "field": {
    "id": 1,
    "value": "high",
    "case_input": {
      "id": 1,
      "key": "priority",
      "name": "Priority",
      "validation_type": "options",
      "validation_options": {
        "options": ["low", "medium", "high", "critical"]
      }
    }
  }
}
```
